import { useMemo } from 'react';
import useCurrentApp from './useCurrentApp';
import { of } from 'rxjs';
import { useObservableState } from '@equinor/fusion-observable/react';
export const useCurrentAppModules = () => {
    var _a;
    const { currentApp, error: appError } = useCurrentApp();
    const modules$ = useMemo(() => currentApp
        ? currentApp.instance$
        : of(null), [currentApp]);
    const { value: modules, error, complete, } = useObservableState(modules$, {
        initial: currentApp === undefined ? undefined : (_a = currentApp === null || currentApp === void 0 ? void 0 : currentApp.instance) !== null && _a !== void 0 ? _a : null,
    });
    return {
        modules,
        error: error !== null && error !== void 0 ? error : appError,
        complete,
    };
};
export default useCurrentAppModules;
//# sourceMappingURL=useCurrentAppModules.js.map