import { useFrameworkModule } from '../useFrameworkModule';
import { useFeature } from './useFeature';
export const useFrameworkFeature = (key) => {
    const provider = useFrameworkModule('featureFlag');
    if (!provider) {
        throw Error('Feature flagging is not enabled in the framework');
    }
    return useFeature(provider, key);
};
export default useFrameworkFeature;
//# sourceMappingURL=useFrameworkFeature.js.map