import { useMemo } from 'react';
import { useFramework } from '../useFramework';
export const useHttpClient = (name) => {
    const framework = useFramework();
    const client = useMemo(() => {
        if (framework.modules.http.hasClient(name)) {
            return framework.modules.http.createClient(name);
        }
        throw Error(`no configured client for key [${name}]`);
    }, [framework, name]);
    return client;
};
//# sourceMappingURL=use-http-client.js.map